1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Where to find mysql-devel package for Parallels' MySQL 5.1 distribution?

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by Hostasaurus.Com, May 9, 2011.

  1. Hostasaurus.Com

    Hostasaurus.Com Regular Pleskian

    30
    68%
    Joined:
    Oct 8, 2009
    Messages:
    465
    Likes Received:
    8
    I've just installed 10.2 on a centos 5.5 x86_64 server but now find that I can't compile software that requires mysql-devel since the Plesk installer didn't include that. I chose the option to use the Parallels MySQL 5.1 instead of the centos mysql 5.0, so now I don't have a mysql-devel package I can install. Is there one that can be downloaded?
     
  2. Hostasaurus.Com

    Hostasaurus.Com Regular Pleskian

    30
    68%
    Joined:
    Oct 8, 2009
    Messages:
    465
    Likes Received:
    8
    With the 'help' of Parallels support, I've learned that there is no mysql-devel package. So the 10.2 installer lets you install MySQL version 5.1 from Parallels but thanks to them not bothering to produce a mysql-devel, it leaves your CentOS 5.5 (or RHEL 5.5) install with no way to build software that requires mysql-devel. The ART mysql-devel 5.1 won't install with Parallels' mysql 5.1 without forcing it, and I'm not confident that's safe to do since there are slight differences in sub-versions and who knows what else.
     
Loading...